import request from '@/utils/request'

// 查询资金信息列表
export function listFundingInfo(query) {
  return request({
    url: '/system/fundingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询资金信息详细
export function getFundingInfo(id) {
  return request({
    url: '/system/fundingInfo/' + id,
    method: 'get'
  })
}

// 新增资金信息
export function addFundingInfo(data) {
  return request({
    url: '/system/fundingInfo',
    method: 'post',
    data: data
  })
}

// 修改资金信息
export function updateFundingInfo(data) {
  return request({
    url: '/system/fundingInfo',
    method: 'put',
    data: data
  })
}

// 删除资金信息
export function delFundingInfo(id) {
  return request({
    url: '/system/fundingInfo/' + id,
    method: 'delete'
  })
}
